html:not(:has(onfido-feature-indentification-page)) .dialogblock:has(#dialog-96568),
html:has(onfido-feature-indentification-page button:not([disabled])) .dialogblock:has(#dialog-96568) {
  display: none;
}

.paragraphblock hgroup:has(h1),
main hgroup {
  display: flex;
  flex-direction: column;
}

.paragraphblock hgroup:has(h1) {
  gap: var(--spacing-5);
}

.paragraphblock hgroup:has(h1):not(:last-child) {
  margin-bottom: var(--spacing-50);
}

.paragraphblock hgroup:has(h1) :first-child {
  color: var(--colors-body-brand);
  font-size: var(--heading-6);
  font-weight: 600;
  line-height: 105%;
  margin: 0 0 var(--spacing-5);
}

.paragraphblock hgroup:has(h1) :nth-child(2) {
  color: var(--colors-heading-primary);
  font-size: var(--heading-2);
  font-weight: 700;
  line-height: 95%;
  letter-spacing: -.02em;
  margin: 0;
  text-wrap: balance;
}

.paragraphblock .center-aligned p:only-child {
  text-wrap-style: balance;
}

main section[class*="brand"] .container>.row:has(.advancedfunnelblock), 
main section[class*="neutral"] .container>.row:has(.advancedfunnelblock) {
  grid-template-rows: auto auto 1fr;
}

.ordered-step-list > li:not(:last-child)::after {
  width: .25rem;
  background-color: var(--colors-brand-primary-500);
  top: calc(var(--spacing-50) + var(--spacing-5));
  height: calc(100% - var(--spacing-10));
}

@media (min-width: 640px){
  main section .container>.row>div.displaymode-half:has(.ordered-step-list) {
    grid-column: 7 / span 6;
    grid-row: 1 / span 3;
  }
}

#verwerken-gegevens {
  --colors-heading-primary: var(--colors-brand-tertiary-03-800);
  --colors-body-primary: var(--colors-brand-tertiary-03-800);
  --colors-body-secondary: var(--colors-brand-tertiary-03-500);
  --colors-body-brand: var(--colors-brand-primary-900);
  --colors-body-input-default: var(--colors-brand-tertiary-03-500);
  --colors-body-input-filled: var(--colors-brand-tertiary-03-800);
  --colors-body-input-disabled: var(--colors-neutral-500);
  --colors-body-input-disabledsecondary: var(--colors-neutral-200);
  --colors-body-input-error: var(--colors-brand-secondary-500);

  --colors-input-default: var(--colors-neutral-500);
  --colors-input-hover: var(--colors-neutral-700);
  --colors-input-active: var(--colors-brand-tertiary-01-500);
  --colors-input-activeoutline: var(--colors-brand-tertiary-01-300);
  --colors-input-disabled: var(--colors-neutral-200);
  --colors-input-disabledoutline: var(--colors-neutral-300);
  --colors-input-error: var(--colors-brand-secondary-500);

  --colors-divider-primary: var(--colors-neutral-300);
  --colors-link: var(--colors-body-cta-primary);
  --colors-link-hover: var(--colors-body-brand);
  --colors-link-outline: var(--colors-neutral-800);

  border-top: 0;
  padding-top: 0;
}

#verwerken-gegevens input[hidden] {
  display: none;
}

#verwerken-gegevens:user-invalid button {
  background-color: var(--colors-cta-secondary-disabled);
  pointer-events: none;
}

#verwerken-gegevens .error {
  color: var(--colors-body-input-error);
  display: none;
  font-size: var(--body-medium);
  margin: 0;
}

#verwerken-gegevens fieldset {
  border: 0;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-50);
  padding: 0;
  margin: var(--spacing-20) 0 0;
}

@media (min-width: 640px) {
  #verwerken-gegevens fieldset {
    margin-top: 0;
  }
}

#verwerken-gegevens fieldset fieldset {
  align-items: baseline;
  border: 0;
  display: flex;
  gap: var(--spacing-15);
  margin: 0;
  padding: 0;
}

@media (min-width: 640px) {
  #verwerken-gegevens fieldset fieldset {
    max-width: calc(var(--grid-column-width) * 6 + var(--grid-column-gap) * 5);
  }
}

@media (min-width: 1280px) {
  #verwerken-gegevens fieldset fieldset {
    max-width: calc(var(--grid-column-width) * 5 + var(--grid-column-gap) * 4);
  }
}

#verwerken-gegevens fieldset fieldset div {
  align-items: baseline;
  display: flex;
  flex-direction: row;
  gap: var(--spacing-10);
}

#verwerken-gegevens label {
  color: var(--colors-body-secondary);
  font-size: var(--body-large, 1.125rem);
  letter-spacing: -.02em;
  line-height: 140%;
}

#verwerken-gegevens input[type="checkbox"] {
  appearance: none;
  aspect-ratio: 1;
  background-color: var(--colors-neutral-50);
  background-position: center;
  background-repeat: no-repeat;
  background-size: var(--spacing-20);
  border: .0625rem solid var(--colors-input-default);
  border-radius: var(--radius-5);
  height: var(--spacing-30);
  width: var(--spacing-30);
  outline: .375rem solid transparent;
  position: relative;
  top: .375rem;
  transition: all .1s ease-out;
}

#verwerken-gegevens input[type="checkbox"][disabled],
#verwerken-gegevens input[type="checkbox"][disabled]:hover {
  --colors-input-disabled: var(--colors-neutral-100);
  --colors-input-disabledoutline: var(--colors-neutral-300);
  background-color: var(--colors-input-disabled);
  border-color: var(--colors-input-disabled-outline);
}

#verwerken-gegevens input[type="checkbox"]:hover {
  border-color: var(--colors-input-hover);
}

#verwerken-gegevens input[type="checkbox"]:focus,
#verwerken-gegevens input[type="checkbox"]:focus-visible {
  border: .125rem solid var(--colors-brand-primary-500);
  outline-color: var(--colors-brand-primary-100a);
}

#verwerken-gegevens input[type="checkbox"]:user-invalid:not(:focus) {
  border-color: var(--colors-input-error);
}

#verwerken-gegevens input[type="checkbox"]:checked {
  background-color: var(--colors-input-active);
  border-color: transparent;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16' fill='none'%3E%3Cg clip-path='url(%23clip0_6901_1962)'%3E%3Cpath d='M2 7.5L7 12.5L14.5 2.5' stroke='%23FFFCF9' stroke-width='2'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_6901_1962'%3E%3Crect width='16' height='16' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
}

#verwerken-gegevens input[type="checkbox"]:checked:focus,
#verwerken-gegevens input[type="checkbox"]:checked:focus-visible {
  border: .125rem solid var(--colors-input-active);
  outline-color: var(--colors-input-activeoutline);
}

#verwerken-gegevens fieldset fieldset:has(:user-invalid) .error,
#verwerken-gegevens fieldset div:has(:user-invalid) .error {
  display: block;
}

main section.brand-primary-100 .button[disabled],
main section.brand-primary-100 .mat-mdc-unelevated-button[disabled], 
main section.brand-primary-100 .mat-mdc-unelevated-button.mat-mdc-button-disabled {
  --cta-background-color: var(--colors-brand-primary-100a);
  --mat-button-filled-disabled-container-color: var(--colors-brand-primary-100a);
}

.paragraphblock .button[disabled]:only-child {
  width: 100%;
}

@media (min-width: 640px) {
  #verwerken-gegevens button,
 .paragraphblock .button[disabled]:only-child {
    margin-right: auto;
    width: auto;
  }
}

#verwerken-gegevens fieldset fieldset:has(input#consent:checked) ~ button,
.paragraphblock:has(#verwerken-gegevens input#consent:checked)
  + .paragraphblock:has(button[disabled]:only-child) {
  display: none;
}

.paragraphblock:has(#verwerken-gegevens input#consent:not(:checked))
  ~ .advancedfunnelblock {
  display: none;
}
